# Class GetChatMessagesRequest

#### Hierarchy

- unknown
  - GetChatMessagesRequest

- Defined in src/protobuf/grpc_pb.d.ts:2650
- Defined in src/protobuf/grpc_pb.d.ts:2662

#####
Index

### Constructors

constructor

### Methods

getTradeId
serializeBinary
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetChatMessagesRequest(): GetChatMessagesRequest

- #### Returns GetChatMessagesRequest

  Inherited from jspb.Message.constructor

## Methods

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2651

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2654

### setTradeId

- setTradeId(value: string): GetChatMessagesRequest

- #### Parameters

  - ##### value: string

  #### Returns GetChatMessagesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2652

### toObject

- toObject(includeInstance?: boolean): GetChatMessagesRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetChatMessagesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2655

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetChatMessagesRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetChatMessagesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2658

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetChatMessagesRequest, reader: BinaryReader): GetChatMessagesRequest

- #### Parameters

  - ##### message: GetChatMessagesRequest

  - ##### reader: BinaryReader

  #### Returns GetChatMessagesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2659

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetChatMessagesRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetChatMessagesRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2657

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetChatMessagesRequest): GetChatMessagesRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetChatMessagesRequest

  #### Returns GetChatMessagesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2656

Generated using TypeDoc